For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
  • Testnet API Reference
        • GETGet all announcements
        • GETGet system config
        • GETGet system state
        • GETGet system time (unix milliseconds)
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Testnet API ReferenceSystem

Get system state

GET
https://api.testnet.paradex.trade/v1/system/state
GET
/v1/system/state
$curl -X GET https://api.testnet.paradex.trade/v1/system/state \
>-H 'Accept: application/json' \
200Retrieved
1{
2 "status": "ok"
3}
Get the current state of the Paradex system ## Response ```json {"status": "ok"} ``` ### Status Values - `ok`: Fully operational - `maintenance`: Trading unavailable - `cancel_only`: Only cancellations allowed Check before trading operations.
Was this page helpful?
Previous

Get system time (unix milliseconds)

Next
Built with

Get the current state of the Paradex system

Response

1{"status": "ok"}

Status Values

  • ok: Fully operational
  • maintenance: Trading unavailable
  • cancel_only: Only cancellations allowed

Check before trading operations.

Response

OK
statusenum
Status of the system
Allowed values: